using Exferia_Aplicacion.General;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Runtime.CompilerServices;
using Exferia_Aplicacion.Modelos_Listado_Filtros;

namespace Exferia_GestionTasas._3_Vistas.ListadosSeleccion
{
    public class ABS_ListadoSeleccion_Datos_Guardados_XML : ABS_ListadoSeleccion
    {
        public override List<dynamic> LISTADO()
        {
            return Registros;
        }

        public override string NOMBRELISTADO_ALMACENARCONFIGURACION()
        {
            return nameof(Variables.G_STR_RESTAURACIONXML_LISTADO_GUARDADO);
        }

        public override Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> LISTADO_COLUMNAS()
        {
            Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo = new Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo>();

            dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_CodigoDescripcion_Modelo.Codigo), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(true, nameof(INTERNO_CodigoDescripcion_Modelo.Codigo), "Codigo", Enumerados.G_ENUM_TIPOSDATOS.TEXT, true, 90, false, false, false, false, "", null));
            dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_CodigoDescripcion_Modelo.Descripcion), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(true, nameof(INTERNO_CodigoDescripcion_Modelo.Descripcion), "Descripcion", Enumerados.G_ENUM_TIPOSDATOS.TEXT, false, 300, true, true, true, false, "", null));

            return dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo;
        }

        public override string ORDENACION_NOMBRECOLUMNA_PORDEFECTO()
        {
            return nameof(INTERNO_CodigoDescripcion_Modelo.Codigo);
        }

        public override string ORDENACION_TIPO_PORDEFECTO()
        {
            return "0";
        }

        public override INTERNO_OpcionesDetalle_Modelo DATOS_OPCION()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_1()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_2()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_3()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_4()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_5()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_6()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_7()
        {
            return null;
        }

        public override List<INTERNO_ArbolSecundarioSeleccion_Modelo> LISTADO_ARBOLSECUNDARIOSELECCION()
        {
            return null;
        }

        public override List<INTERNO_Listado_Paginado_Filtro_Modelo> FILTRADO_PARAPAGINADO()
        {
            return null;
        }

        public override List<string> LISTADOCAMPOS_ENVIAR_A_MANTENIMIENTO()
        {
            return null;
        }
    }
}
